(defun org-drill-supercram ()
;;; Make sure EVERYTHING gets drilled/crammed.
  "Supercram org-drill"
  (interactive)
;;; Save original values.
  (let (
	(driller-hours org-drill-cram-hours)
	(driller-method org-drill-leech-method)
	(driller-items org-drill-maximum-items-per-session)
	(driller-duration org-drill-maximum-duration))
;;; Set new, high-limit, comprehensive values.
    (setq org-drill-cram-hours 0)
    (setq org-drill-leech-method nil)
    (setq org-drill-maximum-items-per-session 99999)
    (setq org-drill-maximum-duration 99999)
;;; Cram, but catch error exit to assure restoration.
    (ignore-errors (org-drill-cram))
;;; Restore original values.
    (setq org-drill-cram-hours driller-hours)
    (setq org-drill-leech-method driller-method)
    (setq org-drill-maximum-items-per-session driller-items)
    (setq org-drill-maximum-duration driller-duration) )
)  
